Bug 44662 - gcc reports illegal instruction from as
gcc reports illegal instruction from as
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-14 22:49 EDT by rainman
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 15:30:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rainman 2001-06-14 22:49:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win 9x 4.90; en-US; rv:0.9.1)
Gecko/20010607

Description of problem:
I was trying to compile AOLServer 3.2+ad10 from http://www.arsdigita.com
using the make script, and in trying to compile reentrant.c, gcc reported
"Internal error: Illegal instruction (program as)".

The call to gcc was :
"gcc -g -I ../include -D_REENTRANT -pipe -fPIC -Wall -Wno-unused
-DHAVE_CMMSG=1 -DUSE_FIONREAD=1 -DHAVE_COND_ENINTR=1 -I./ -c -o reentrant.o
reentrant.c"

gcc version is 2.96-81


How reproducible:
Always

Steps to Reproduce:
1.Download aolserver-src.tar.gz from http://www.arsdigita.com
2.un-tgz it
3.run make
	

Actual Results:  described above

Expected Results:  compiled as expected

Additional info:

i'm running on a k6-2 500, 2.4.5 kernel that i manually compiled
Comment 1 Hans Lohmander 2001-09-03 04:44:36 EDT
This is a "me to"...

Same problem doing a rpm --rebuild of package ethereal-0.8.18-1.src.rpm

Following message:

packet-data.c:86: Internal error: Illegal instruction.

Please submit a full bug report. 



Kernel 2.4.3-12 installed from RPM

Intel P133, 64 MB



Fully reproducible,  allways the same result.

Comment 2 Jakub Jelinek 2001-09-03 04:50:30 EDT
Can you attach packet-data.i (rerun the gcc command line for packet-data.c
with additional -save-temps) and post here full gcc command line used?
Comment 3 Hans Lohmander 2001-09-03 07:17:11 EDT
The same happens with a tar build of ethereal-0.8.19.
packet-dcerpc-epm.c:87: Internal error: Illegal instruction.
Please submit a full bug report.
Different file, same error...
Do make again and the build continues and packet-dcerpc-epm.c compiles ok.
Second stop is then
packet-udp.c:287: Internal error: Illegal instruction.
Please submit a full bug report.
Third stop is at
packet-zebra.c:655: Internal error: Illegal instruction.
Please submit a full bug report.
Finally it is built...
It seems that the compile gets slower and slower the more files compiled and 
finally the above error occurs.
Comment 4 Jakub Jelinek 2001-09-03 07:26:22 EDT
If you don't get Internal error: Illegal instruction (program as)
error message, then this is not related to the original bug report here.
If fully reproducible means that reruning the same gcc command makes the
error go away, then it is either some hardware bug or some cache problem.
Note that we're building ethereal (0.8.18-9) just fine, dunno where you got
0.8.18-1 from.
Comment 5 Jakub Jelinek 2004-10-02 15:30:34 EDT
No response in 3 years, closing.

Note You need to log in before you can comment on or make changes to this bug.